Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sdb
Class SDBCmd

    java.lang.Object
      sdb.SDBCmd

    public class SDBCmd

extends Object

Convenience ways to execute commands (import static)

Constructor Summary
`SDBCmd()`

Method Summary
`static int` | `qparse(String... args)`
`static int` | `sdbconfig(String... args)`
`static int` | `sdbdump(String... args)`
`static int` | `sdbinfo(String... args)`
`static int` | `sdbload(String... args)`
`static int` | `sdbmeta(String... args)`
`static int` | `sdbprint(String... args)`
`static int` | `sdbquery(String... args)`
`static int` | `sdbsql(String... args)`
`static int` | `sdbtruncate(String... args)`
`static void` | `setExitOnError(boolean exitOn)`
`static void` | `setSDBConfig(String f)`
`static int` | `sparql(String... args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDBCmd

    public SDBCmd()

Method Detail

### setSDBConfig

    public static void setSDBConfig(String f)

### setExitOnError

    public static void setExitOnError(boolean exitOn)

### qparse

    public static int qparse(String... args)

### sparql

    public static int sparql(String... args)

### sdbprint

    public static int sdbprint(String... args)

### sdbconfig

    public static int sdbconfig(String... args)

### sdbload

    public static int sdbload(String... args)

### sdbdump

    public static int sdbdump(String... args)

### sdbquery

    public static int sdbquery(String... args)

### sdbtruncate

    public static int sdbtruncate(String... args)

### sdbinfo

    public static int sdbinfo(String... args)

### sdbmeta

    public static int sdbmeta(String... args)

### sdbsql

    public static int sdbsql(String... args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.